using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace DiunaBI.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class RemoveDataInboxLayerId : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Layers_Layers_ParentId",
                table: "Layers");

            migrationBuilder.DropIndex(
                name: "IX_Layers_ParentId",
                table: "Layers");

            migrationBuilder.DropColumn(
                name: "LayerId",
                table: "DataInbox");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<Guid>(
                name: "LayerId",
                table: "DataInbox",
                type: "uniqueidentifier",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Layers_ParentId",
                table: "Layers",
                column: "ParentId");

            migrationBuilder.AddForeignKey(
                name: "FK_Layers_Layers_ParentId",
                table: "Layers",
                column: "ParentId",
                principalTable: "Layers",
                principalColumn: "Id");
        }
    }
}
